diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-enb-rrc.cc ns-3.38/src/lte/model/lte-enb-rrc.cc
--- ns-3.37/src/lte/model/lte-enb-rrc.cc	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-enb-rrc.cc	2023-03-16 20:54:23.772869000 -0700
@@ -1392,7 +1392,7 @@
         m_rrc->m_anrSapProvider->ReportUeMeas(msg.measResults);
     }
 
-    if ((m_rrc->m_ffrRrcSapProvider.size() > 0) &&
+    if ((!m_rrc->m_ffrRrcSapProvider.empty()) &&
         (m_rrc->m_ffrMeasIds.find(measId) != m_rrc->m_ffrMeasIds.end()))
     {
         // this measurement was requested by the FFR function
@@ -2224,7 +2224,7 @@
 LteEnbRrc::SetLteFfrRrcSapProvider(LteFfrRrcSapProvider* s)
 {
     NS_LOG_FUNCTION(this << s);
-    if (m_ffrRrcSapProvider.size() > 0)
+    if (!m_ffrRrcSapProvider.empty())
     {
         m_ffrRrcSapProvider.at(0) = s;
     }
@@ -2306,7 +2306,7 @@
 LteEnbRrc::SetLteEnbCphySapProvider(LteEnbCphySapProvider* s)
 {
     NS_LOG_FUNCTION(this << s);
-    if (m_cphySapProvider.size() > 0)
+    if (!m_cphySapProvider.empty())
     {
         m_cphySapProvider.at(0) = s;
     }
@@ -2904,7 +2904,7 @@
         Ptr<UeManager> ueManager = GetUeManager(rnti);
         EpcX2Sap::HandoverPreparationFailureParams msg = ueManager->BuildHoPrepFailMsg();
         m_x2SapProvider->SendHandoverPreparationFailure(msg);
-        RemoveUe(rnti); // reomve the UE from the target eNB
+        RemoveUe(rnti); // remove the UE from the target eNB
         return;
     }
 
@@ -3052,7 +3052,7 @@
 
     NS_LOG_LOGIC("Number of cellInformationItems = " << params.cellInformationList.size());
 
-    NS_ABORT_IF(m_ffrRrcSapProvider.size() == 0);
+    NS_ABORT_IF(m_ffrRrcSapProvider.empty());
     m_ffrRrcSapProvider.at(0)->RecvLoadInformation(params);
 }
 
@@ -3476,7 +3476,7 @@
     NS_LOG_FUNCTION(this << srcCi);
     std::set<uint16_t>::iterator it = m_ueSrsConfigurationIndexSet.find(srcCi);
     NS_ASSERT_MSG(it != m_ueSrsConfigurationIndexSet.end(),
-                  "request to remove unkwown SRS CI " << srcCi);
+                  "request to remove unknown SRS CI " << srcCi);
     m_ueSrsConfigurationIndexSet.erase(it);
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-enb-rrc.h ns-3.38/src/lte/model/lte-enb-rrc.h
--- ns-3.37/src/lte/model/lte-enb-rrc.h	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-enb-rrc.h	2023-03-16 20:54:23.772869000 -0700
@@ -1498,7 +1498,7 @@
      * \note this method can have the side effect of updating the SRS
      * configuration index of all UEs
      *
-     * \param srcCi the indext to be removed
+     * \param srcCi the index to be removed
      */
     void RemoveSrsConfigurationIndex(uint16_t srcCi);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ffr-algorithm.cc ns-3.38/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.37/src/lte/model/lte-ffr-algorithm.cc	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-ffr-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -31,11 +31,11 @@
 
 /// Type 0 RGB allocation
 static const int Type0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 3GPP TS 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 3GPP TS 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(LteFfrAlgorithm);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.37/src/lte/model/lte-ffr-distributed-algorithm.cc	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -456,8 +456,8 @@
                 UpdateNeighbourMeasurements(rnti, it->physCellId, it->rsrpResult, it->rsrqResult);
 
                 bool found = false;
-                for (std::vector<uint16_t>::iterator ncIt = m_neigborCell.begin();
-                     ncIt != m_neigborCell.end();
+                for (std::vector<uint16_t>::iterator ncIt = m_neighborCell.begin();
+                     ncIt != m_neighborCell.end();
                      ncIt++)
                 {
                     if ((*ncIt) == it->physCellId)
@@ -467,7 +467,7 @@
                 }
                 if (found == false)
                 {
-                    m_neigborCell.push_back(it->physCellId);
+                    m_neighborCell.push_back(it->physCellId);
                 }
             }
         }
@@ -622,7 +622,8 @@
         }
     }
 
-    for (std::vector<uint16_t>::iterator ncIt = m_neigborCell.begin(); ncIt != m_neigborCell.end();
+    for (std::vector<uint16_t>::iterator ncIt = m_neighborCell.begin();
+         ncIt != m_neighborCell.end();
          ncIt++)
     {
         SendLoadInformation((*ncIt));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.37/src/lte/model/lte-ffr-distributed-algorithm.h	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-ffr-distributed-algorithm.h	2023-03-16 20:54:23.772869000 -0700
@@ -182,7 +182,7 @@
     typedef std::map<uint16_t, MeasurementRow_t> MeasurementTable_t;
     MeasurementTable_t m_ueMeasures; ///< UE measures
 
-    std::vector<uint16_t> m_neigborCell; ///< neighbor cell
+    std::vector<uint16_t> m_neighborCell; ///< neighbor cell
 
     uint8_t m_rsrpDifferenceThreshold; ///< RSRP difference threshold
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.37/src/lte/model/lte-ffr-enhanced-algorithm.cc	2022-11-01 17:37:24.655395500 -0700
+++ ns-3.38/src/lte/model/lte-ffr-enhanced-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -37,32 +37,37 @@
 NS_OBJECT_ENSURE_REGISTERED(LteFfrEnhancedAlgorithm);
 
 /// Spectral efficiency for CQI table
-static const double SpectralEfficiencyForCqi[16] = {0.0, // out of range
-                                                    0.15,
-                                                    0.23,
-                                                    0.38,
-                                                    0.6,
-                                                    0.88,
-                                                    1.18,
-                                                    1.48,
-                                                    1.91,
-                                                    2.41,
-                                                    2.73,
-                                                    3.32,
-                                                    3.9,
-                                                    4.52,
-                                                    5.12,
-                                                    5.55};
+static const double SpectralEfficiencyForCqi[16] = {
+    0.0, // out of range
+    0.15,
+    0.23,
+    0.38,
+    0.6,
+    0.88,
+    1.18,
+    1.48,
+    1.91,
+    2.41,
+    2.73,
+    3.32,
+    3.9,
+    4.52,
+    5.12,
+    5.55,
+};
 
 /// FfrEnhancedDownlinkDefaultConfiguration structure
-static const struct FfrEnhancedDownlinkDefaultConfiguration
+struct FfrEnhancedDownlinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t dlBandwidth;          ///< DL bandwidth
     uint8_t dlSubBandOffset;      ///< DL subband offset
     uint8_t dlReuse3SubBandwidth; ///< reuse 3 subbandwidth
     uint8_t dlReuse1SubBandwidth; ///< reuse 1 subbandwidth
-} g_ffrEnhancedDownlinkDefaultConfiguration[] = {
+};
+
+/// The enhanced downlink default configuration
+static const FfrEnhancedDownlinkDefaultConfiguration g_ffrEnhancedDownlinkDefaultConfiguration[]{
     {1, 25, 0, 4, 4},
     {2, 25, 8, 4, 4},
     {3, 25, 16, 4, 4},
@@ -74,17 +79,21 @@
     {3, 75, 48, 8, 16},
     {1, 100, 0, 16, 16},
     {2, 100, 32, 16, 16},
-    {3, 100, 64, 16, 16}}; ///< the enhanced downlink default configation
+    {3, 100, 64, 16, 16},
+};
 
 /// FfrEnhancedUplinkDefaultConfiguration structure
-static const struct FfrEnhancedUplinkDefaultConfiguration
+struct FfrEnhancedUplinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t ulBandwidth;          ///< UL bandwidth
     uint8_t ulSubBandOffset;      ///< UL subband offset
     uint8_t ulReuse3SubBandwidth; ///< UL reuse 3 subbandwidth
     uint8_t ulReuse1SubBandwidth; ///< UL reuse 1 subbandwidth
-} g_ffrEnhancedUplinkDefaultConfiguration[] = {
+};
+
+/// The enhanced uplink default configuration
+static const FfrEnhancedUplinkDefaultConfiguration g_ffrEnhancedUplinkDefaultConfiguration[]{
     {1, 25, 0, 4, 4},
     {2, 25, 8, 4, 4},
     {3, 25, 16, 4, 4},
@@ -96,7 +105,8 @@
     {3, 75, 48, 8, 16},
     {1, 100, 0, 16, 16},
     {2, 100, 32, 16, 16},
-    {3, 100, 64, 16, 16}}; ///< the enhanced uplink default configuration
+    {3, 100, 64, 16, 16},
+};
 
 /** \returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_ffrEnhancedDownlinkDefaultConfiguration) /
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ffr-soft-algorithm.cc ns-3.38/src/lte/model/lte-ffr-soft-algorithm.cc
--- ns-3.37/src/lte/model/lte-ffr-soft-algorithm.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-ffr-soft-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -31,14 +31,17 @@
 NS_OBJECT_ENSURE_REGISTERED(LteFfrSoftAlgorithm);
 
 /// FfrSoftDownlinkDefaultConfiguration structure
-static const struct FfrSoftDownlinkDefaultConfiguration
+struct FfrSoftDownlinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t dlBandwidth;          ///< DL bandwidth
     uint8_t dlCommonSubBandwidth; ///< DL common subbandwidth
     uint8_t dlEdgeSubBandOffset;  ///< DL edge subband offset
     uint8_t dlEdgeSubBandwidth;   ///< DL edge subbandwidth
-} g_ffrSoftDownlinkDefaultConfiguration[] = {
+};
+
+/// The soft downlink default configuration
+static const FfrSoftDownlinkDefaultConfiguration g_ffrSoftDownlinkDefaultConfiguration[]{
     {1, 15, 2, 0, 4},
     {2, 15, 2, 4, 4},
     {3, 15, 2, 8, 4},
@@ -53,17 +56,21 @@
     {3, 75, 36, 24, 15},
     {1, 100, 28, 0, 24},
     {2, 100, 28, 24, 24},
-    {3, 100, 28, 48, 24}}; ///< the soft downlink default configuration
+    {3, 100, 28, 48, 24},
+};
 
 /// FfrSoftUplinkDefaultConfiguration structure
-static const struct FfrSoftUplinkDefaultConfiguration
+struct FfrSoftUplinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t ulBandwidth;          ///< UL bandwidth
     uint8_t ulCommonSubBandwidth; ///< UL common subbandwidth
     uint8_t ulEdgeSubBandOffset;  ///< UL edge subband offset
     uint8_t ulEdgeSubBandwidth;   ///< edge subbandwidth
-} g_ffrSoftUplinkDefaultConfiguration[] = {
+};
+
+/// The soft uplink default configuration
+static const FfrSoftUplinkDefaultConfiguration g_ffrSoftUplinkDefaultConfiguration[]{
     {1, 15, 3, 0, 4},
     {2, 15, 3, 4, 4},
     {3, 15, 3, 8, 4},
@@ -78,7 +85,8 @@
     {3, 75, 36, 24, 15},
     {1, 100, 28, 0, 24},
     {2, 100, 28, 24, 24},
-    {3, 100, 28, 48, 24}}; ///< the soft uplink default configuration
+    {3, 100, 28, 48, 24},
+};
 
 /** \returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_ffrSoftDownlinkDefaultConfiguration) /
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-fr-hard-algorithm.cc ns-3.38/src/lte/model/lte-fr-hard-algorithm.cc
--- ns-3.37/src/lte/model/lte-fr-hard-algorithm.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-fr-hard-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -30,13 +30,16 @@
 NS_OBJECT_ENSURE_REGISTERED(LteFrHardAlgorithm);
 
 /// FrHardDownlinkDefaultConfiguration structure
-static const struct FrHardDownlinkDefaultConfiguration
+struct FrHardDownlinkDefaultConfiguration
 {
     uint8_t m_cellId;      ///< cell ID
     uint8_t m_dlBandwidth; ///< DL bandwidth
     uint8_t m_dlOffset;    ///< DL offset
     uint8_t m_dlSubBand;   ///< DL subband
-} g_frHardDownlinkDefaultConfiguration[] = {
+};
+
+/// The hard downlink default configuration
+static const FrHardDownlinkDefaultConfiguration g_frHardDownlinkDefaultConfiguration[]{
     {1, 15, 0, 4},
     {2, 15, 4, 4},
     {3, 15, 8, 6},
@@ -51,16 +54,20 @@
     {3, 75, 48, 27},
     {1, 100, 0, 32},
     {2, 100, 32, 32},
-    {3, 100, 64, 36}}; ///< the hard downlink default configuration
+    {3, 100, 64, 36},
+};
 
 /// FrHardUplinkDefaultConfiguration structure
-static const struct FrHardUplinkDefaultConfiguration
+struct FrHardUplinkDefaultConfiguration
 {
     uint8_t m_cellId;      ///< cell ID
     uint8_t m_ulBandwidth; ///< UL bandwidth
     uint8_t m_ulOffset;    ///< Ul offset
     uint8_t m_ulSubBand;   ///< UL subband
-} g_frHardUplinkDefaultConfiguration[] = {
+};
+
+/// The hard uplink default configuration
+static const FrHardUplinkDefaultConfiguration g_frHardUplinkDefaultConfiguration[]{
     {1, 15, 0, 5},
     {2, 15, 5, 5},
     {3, 15, 10, 5},
@@ -75,7 +82,8 @@
     {3, 75, 48, 27},
     {1, 100, 0, 32},
     {2, 100, 32, 32},
-    {3, 100, 64, 36}}; ///< the hard uplink default configuration
+    {3, 100, 64, 36},
+};
 
 /** \returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frHardDownlinkDefaultConfiguration) /
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-fr-soft-algorithm.cc ns-3.38/src/lte/model/lte-fr-soft-algorithm.cc
--- ns-3.37/src/lte/model/lte-fr-soft-algorithm.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-fr-soft-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -31,13 +31,16 @@
 NS_OBJECT_ENSURE_REGISTERED(LteFrSoftAlgorithm);
 
 /// FrSoftDownlinkDefaultConfiguration structure
-static const struct FrSoftDownlinkDefaultConfiguration
+struct FrSoftDownlinkDefaultConfiguration
 {
     uint8_t cellId;              ///< cell ID
     uint8_t dlBandwidth;         ///< DL bandwidth
     uint8_t dlEdgeSubBandOffset; ///< DL edge subband offset
     uint8_t dlEdgeSubBandwidth;  ///< Dl edge subbandwidth
-} g_frSoftDownlinkDefaultConfiguration[] = {
+};
+
+/// Soft downlink default configuration
+static const FrSoftDownlinkDefaultConfiguration g_frSoftDownlinkDefaultConfiguration[]{
     {1, 15, 0, 4},
     {2, 15, 4, 4},
     {3, 15, 8, 6},
@@ -52,30 +55,36 @@
     {3, 75, 48, 27},
     {1, 100, 0, 32},
     {2, 100, 32, 32},
-    {3, 100, 64, 36}}; ///< soft downlink default configuration
+    {3, 100, 64, 36},
+};
 
 /// soft uplink default configuration
-static const struct FrSoftUplinkDefaultConfiguration
+struct FrSoftUplinkDefaultConfiguration
 {
     uint8_t cellId;              ///< cell ID
     uint8_t ulBandwidth;         ///< UL bandwidth
     uint8_t ulEdgeSubBandOffset; ///< UL edge subband offset
-    uint8_t ulEdgeSubBandwidth;  ///< UL endge subbandwidth
-} g_frSoftUplinkDefaultConfiguration[] = {{1, 15, 0, 5},
-                                          {2, 15, 5, 5},
-                                          {3, 15, 10, 5},
-                                          {1, 25, 0, 8},
-                                          {2, 25, 8, 8},
-                                          {3, 25, 16, 9},
-                                          {1, 50, 0, 16},
-                                          {2, 50, 16, 16},
-                                          {3, 50, 32, 18},
-                                          {1, 75, 0, 24},
-                                          {2, 75, 24, 24},
-                                          {3, 75, 48, 27},
-                                          {1, 100, 0, 32},
-                                          {2, 100, 32, 32},
-                                          {3, 100, 64, 36}}; ///< soft uplink default configuration
+    uint8_t ulEdgeSubBandwidth;  ///< UL edge subbandwidth
+};
+
+/// Soft uplink default configuration
+static const FrSoftUplinkDefaultConfiguration g_frSoftUplinkDefaultConfiguration[]{
+    {1, 15, 0, 5},
+    {2, 15, 5, 5},
+    {3, 15, 10, 5},
+    {1, 25, 0, 8},
+    {2, 25, 8, 8},
+    {3, 25, 16, 9},
+    {1, 50, 0, 16},
+    {2, 50, 16, 16},
+    {3, 50, 32, 18},
+    {1, 75, 0, 24},
+    {2, 75, 24, 24},
+    {3, 75, 48, 27},
+    {1, 100, 0, 32},
+    {2, 100, 32, 32},
+    {3, 100, 64, 36},
+};
 
 /** \returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frSoftDownlinkDefaultConfiguration) /
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-fr-strict-algorithm.cc ns-3.38/src/lte/model/lte-fr-strict-algorithm.cc
--- ns-3.37/src/lte/model/lte-fr-strict-algorithm.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-fr-strict-algorithm.cc	2023-03-16 20:54:23.772869000 -0700
@@ -31,14 +31,17 @@
 NS_OBJECT_ENSURE_REGISTERED(LteFrStrictAlgorithm);
 
 /// FrStrictDownlinkDefaultConfiguration structure
-static const struct FrStrictDownlinkDefaultConfiguration
+struct FrStrictDownlinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t dlBandwidth;          ///< DL bandwidth
     uint8_t dlCommonSubBandwidth; ///< DL common subbandwidth
     uint8_t dlEdgeSubBandOffset;  ///< DL edge subband offset
     uint8_t dlEdgeSubBandwidth;   ///< DL edge subbandwidth
-} g_frStrictDownlinkDefaultConfiguration[] = {
+};
+
+/// The strict downlink default configuration
+static const FrStrictDownlinkDefaultConfiguration g_frStrictDownlinkDefaultConfiguration[]{
     {1, 15, 2, 0, 4},
     {2, 15, 2, 4, 4},
     {3, 15, 2, 8, 4},
@@ -53,17 +56,21 @@
     {3, 75, 36, 24, 15},
     {1, 100, 28, 0, 24},
     {2, 100, 28, 24, 24},
-    {3, 100, 28, 48, 24}}; ///< the strict downlink default configuration
+    {3, 100, 28, 48, 24},
+};
 
 /// FrStrictUplinkDefaultConfiguration structure
-static const struct FrStrictUplinkDefaultConfiguration
+struct FrStrictUplinkDefaultConfiguration
 {
     uint8_t cellId;               ///< cell ID
     uint8_t ulBandwidth;          ///< UL bandwidth
     uint8_t ulCommonSubBandwidth; ///< UL common subbandwidth
     uint8_t ulEdgeSubBandOffset;  ///< UL edge subband offset
     uint8_t ulEdgeSubBandwidth;   ///< UL edge subbandwidth
-} g_frStrictUplinkDefaultConfiguration[] = {
+};
+
+/// The strict uplink default configuration
+static const FrStrictUplinkDefaultConfiguration g_frStrictUplinkDefaultConfiguration[]{
     {1, 15, 3, 0, 4},
     {2, 15, 3, 4, 4},
     {3, 15, 3, 8, 4},
@@ -78,7 +85,8 @@
     {3, 75, 36, 24, 15},
     {1, 100, 28, 0, 24},
     {2, 100, 28, 24, 24},
-    {3, 100, 28, 48, 24}}; ///< the strict uplink default configuration
+    {3, 100, 28, 48, 24},
+};
 
 /** \returns number of downlink configurations */
 const uint16_t NUM_DOWNLINK_CONFS(sizeof(g_frStrictDownlinkDefaultConfiguration) /
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-mac-sap.h ns-3.38/src/lte/model/lte-mac-sap.h
--- ns-3.37/src/lte/model/lte-mac-sap.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-mac-sap.h	2023-03-16 20:54:23.772869000 -0700
@@ -51,7 +51,7 @@
         uint8_t harqProcessId; /**< the HARQ process id that was passed by the MAC in the call to
                                   NotifyTxOpportunity that generated this PDU */
         uint8_t componentCarrierId; /**< the component carrier id corresponding to the sending Mac
-                                       istance */
+                                       instance */
     };
 
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-mi-error-model.cc ns-3.38/src/lte/model/lte-mi-error-model.cc
--- ns-3.37/src/lte/model/lte-mi-error-model.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-mi-error-model.cc	2023-03-16 20:54:23.772869000 -0700
@@ -1138,7 +1138,7 @@
     double MI = 0.0;
     double Reff = 0.0;
     NS_ASSERT(mcs < 29);
-    if (miHistory.size() > 0)
+    if (!miHistory.empty())
     {
         // evaluate R_eff and MI_eff
         uint16_t codeBitsSum = 0;
@@ -1255,7 +1255,7 @@
 
     double errorRate = 1.0;
     uint8_t ecrId = 0;
-    if (miHistory.size() == 0)
+    if (miHistory.empty())
     {
         // first tx -> get ECR from MCS
         ecrId = McsEcrBlerTableMapping[mcs];
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-pdcp.cc ns-3.38/src/lte/model/lte-pdcp.cc
--- ns-3.37/src/lte/model/lte-pdcp.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-pdcp.cc	2023-03-16 20:54:23.776869000 -0700
@@ -154,7 +154,7 @@
 }
 
 LtePdcp::Status
-LtePdcp::GetStatus()
+LtePdcp::GetStatus() const
 {
     Status s;
     s.txSn = m_txSequenceNumber;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-pdcp.h ns-3.38/src/lte/model/lte-pdcp.h
--- ns-3.37/src/lte/model/lte-pdcp.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-pdcp.h	2023-03-16 20:54:23.776869000 -0700
@@ -107,7 +107,7 @@
      *
      * \return the current status of the PDCP
      */
-    Status GetStatus();
+    Status GetStatus() const;
 
     /**
      * Set the status of the PDCP
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-pdcp-sap.h ns-3.38/src/lte/model/lte-pdcp-sap.h
--- ns-3.37/src/lte/model/lte-pdcp-sap.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-pdcp-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -100,11 +100,13 @@
      */
     LtePdcpSpecificLtePdcpSapProvider(C* pdcp);
 
+    // Delete default constructor to avoid misuse
+    LtePdcpSpecificLtePdcpSapProvider() = delete;
+
     // Interface implemented from LtePdcpSapProvider
     void TransmitPdcpSdu(TransmitPdcpSduParameters params) override;
 
   private:
-    LtePdcpSpecificLtePdcpSapProvider();
     C* m_pdcp; ///< the PDCP
 };
 
@@ -115,11 +117,6 @@
 }
 
 template <class C>
-LtePdcpSpecificLtePdcpSapProvider<C>::LtePdcpSpecificLtePdcpSapProvider()
-{
-}
-
-template <class C>
 void
 LtePdcpSpecificLtePdcpSapProvider<C>::TransmitPdcpSdu(TransmitPdcpSduParameters params)
 {
@@ -138,11 +135,13 @@
      */
     LtePdcpSpecificLtePdcpSapUser(C* rrc);
 
+    // Delete default constructor to avoid misuse
+    LtePdcpSpecificLtePdcpSapUser() = delete;
+
     // Interface implemented from LtePdcpSapUser
     void ReceivePdcpSdu(ReceivePdcpSduParameters params) override;
 
   private:
-    LtePdcpSpecificLtePdcpSapUser();
     C* m_rrc; ///< RRC
 };
 
@@ -152,11 +151,6 @@
 {
 }
 
-template <class C>
-LtePdcpSpecificLtePdcpSapUser<C>::LtePdcpSpecificLtePdcpSapUser()
-{
-}
-
 template <class C>
 void
 LtePdcpSpecificLtePdcpSapUser<C>::ReceivePdcpSdu(ReceivePdcpSduParameters params)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-phy.cc ns-3.38/src/lte/model/lte-phy.cc
--- ns-3.37/src/lte/model/lte-phy.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-phy.cc	2023-03-16 20:54:23.776869000 -0700
@@ -217,7 +217,7 @@
 LtePhy::GetControlMessages()
 {
     NS_LOG_FUNCTION(this);
-    if (m_controlMessagesQueue.at(0).size() > 0)
+    if (!m_controlMessagesQueue.at(0).empty())
     {
         std::list<Ptr<LteControlMessage>> ret = m_controlMessagesQueue.at(0);
         m_controlMessagesQueue.erase(m_controlMessagesQueue.begin());
@@ -252,7 +252,7 @@
 }
 
 uint8_t
-LtePhy::GetComponentCarrierId()
+LtePhy::GetComponentCarrierId() const
 {
     return m_componentCarrierId;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-phy.h ns-3.38/src/lte/model/lte-phy.h
--- ns-3.37/src/lte/model/lte-phy.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-phy.h	2023-03-16 20:54:23.776869000 -0700
@@ -216,7 +216,7 @@
      *
      * \returns the component carrier ID index
      */
-    uint8_t GetComponentCarrierId();
+    uint8_t GetComponentCarrierId() const;
 
   protected:
     /// Pointer to the NetDevice where this PHY layer is attached.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-radio-bearer-info.h ns-3.38/src/lte/model/lte-radio-bearer-info.h
--- ns-3.37/src/lte/model/lte-radio-bearer-info.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-radio-bearer-info.h	2023-03-16 20:54:23.776869000 -0700
@@ -64,7 +64,7 @@
      */
     static TypeId GetTypeId();
 
-    uint8_t m_srbIdentity;                                  ///< SRB indentity
+    uint8_t m_srbIdentity;                                  ///< SRB identity
     LteRrcSap::LogicalChannelConfig m_logicalChannelConfig; ///< logical channel config
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-am.cc ns-3.38/src/lte/model/lte-rlc-am.cc
--- ns-3.37/src/lte/model/lte-rlc-am.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-am.cc	2023-03-16 20:54:23.776869000 -0700
@@ -469,7 +469,7 @@
 
     // Remove the first packet from the transmission buffer.
     // If only a segment of the packet is taken, then the remaining is given back later
-    if (m_txonBuffer.size() == 0)
+    if (m_txonBuffer.empty())
     {
         NS_LOG_LOGIC("No data pending");
         return;
@@ -578,7 +578,7 @@
             // (NO more segments) ? exit
             // break;
         }
-        else if ((nextSegmentSize - firstSegment->GetSize() <= 2) || (m_txonBuffer.size() == 0))
+        else if ((nextSegmentSize - firstSegment->GetSize() <= 2) || m_txonBuffer.empty())
         {
             NS_LOG_LOGIC(
                 "    IF nextSegmentSize - firstSegment->GetSize () <= 2 || txonBuffer.size == 0");
@@ -597,7 +597,7 @@
             nextSegmentId++;
 
             NS_LOG_LOGIC("        SDUs in TxBuffer  = " << m_txonBuffer.size());
-            if (m_txonBuffer.size() > 0)
+            if (!m_txonBuffer.empty())
             {
                 NS_LOG_LOGIC("        First SDU buffer  = " << m_txonBuffer.begin()->m_pdu);
                 NS_LOG_LOGIC(
@@ -627,7 +627,7 @@
             nextSegmentId++;
 
             NS_LOG_LOGIC("        SDUs in TxBuffer  = " << m_txonBuffer.size());
-            if (m_txonBuffer.size() > 0)
+            if (!m_txonBuffer.empty())
             {
                 NS_LOG_LOGIC("        First SDU buffer  = " << m_txonBuffer.begin()->m_pdu);
                 NS_LOG_LOGIC(
@@ -928,7 +928,7 @@
             std::map<uint16_t, PduBuffer>::iterator it = m_rxonBuffer.find(seqNumber.GetValue());
             if (it != m_rxonBuffer.end())
             {
-                NS_ASSERT(it->second.m_byteSegments.size() > 0);
+                NS_ASSERT(!it->second.m_byteSegments.empty());
                 NS_ASSERT_MSG(it->second.m_byteSegments.size() == 1,
                               "re-segmentation not supported");
                 NS_LOG_LOGIC("PDU segment already received, discarded");
@@ -1459,7 +1459,7 @@
                  */
                 m_sdusBuffer.pop_front();
 
-                if (m_sdusBuffer.size() > 0)
+                if (!m_sdusBuffer.empty())
                 {
                     /**
                      * Deliver zero, one or multiple PDUs
@@ -1577,7 +1577,7 @@
                  */
                 m_sdusBuffer.pop_front();
 
-                if (m_sdusBuffer.size() > 0)
+                if (!m_sdusBuffer.empty())
                 {
                     /**
                      * Deliver zero, one or multiple PDUs
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-am.h ns-3.38/src/lte/model/lte-rlc-am.h
--- ns-3.37/src/lte/model/lte-rlc-am.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-am.h	2023-03-16 20:54:23.776869000 -0700
@@ -222,12 +222,12 @@
     /**
      * SDU Reassembling state
      */
-    typedef enum
+    enum ReassemblingState_t
     {
         NONE = 0,
         WAITING_S0_FULL = 1,
         WAITING_SI_SF = 2
-    } ReassemblingState_t;
+    };
 
     ReassemblingState_t m_reassemblingState; ///< reassembling state
     Ptr<Packet> m_keepS0;                    ///< keep S0
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-am-header.h ns-3.38/src/lte/model/lte-rlc-am-header.h
--- ns-3.37/src/lte/model/lte-rlc-am-header.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-am-header.h	2023-03-16 20:54:23.776869000 -0700
@@ -67,17 +67,17 @@
     bool IsControlPdu() const;
 
     /// DataControlPdu_t enumeration
-    typedef enum
+    enum DataControlPdu_t
     {
         CONTROL_PDU = 0,
         DATA_PDU = 1
-    } DataControlPdu_t; ///< DataControlPdu_t typedef
+    };
 
     /// ControlPduType_t enumeration
-    typedef enum
+    enum ControPduType_t
     {
         STATUS_PDU = 000,
-    } ControPduType_t; ///< ControPduType_t typedef
+    };
 
     //
     // DATA PDU
@@ -110,18 +110,18 @@
     uint8_t GetFramingInfo() const;
 
     /// FramingInfoFirstByte_t enumeration
-    typedef enum
+    enum FramingInfoFirstByte_t
     {
         FIRST_BYTE = 0x00,
         NO_FIRST_BYTE = 0x02
-    } FramingInfoFirstByte_t; ///< FramingInfoFirstByte_t typedef
+    };
 
     /// FramingInfoLastByte_t enumeration
-    typedef enum
+    enum FramingInfoLastByte_t
     {
         LAST_BYTE = 0x00,
         NO_LAST_BYTE = 0x01
-    } FramingInfoLastByte_t; ///< FramingInfoLastByte_t typedef
+    };
 
     /**
      * Push extension bit function
@@ -150,11 +150,11 @@
     uint16_t PopLengthIndicator();
 
     /// ExtensionBit_t typedef
-    typedef enum
+    enum ExtensionBit_t
     {
         DATA_FIELD_FOLLOWS = 0,
         E_LI_FIELDS_FOLLOWS = 1
-    } ExtensionBit_t; ///< ExtensionBit_t typedef
+    };
 
     /**
      * Pop extension bit function
@@ -170,11 +170,11 @@
     uint8_t GetResegmentationFlag() const;
 
     /// ResegmentationFlag_t typedef
-    typedef enum
+    enum ResegmentationFlag_t
     {
         PDU = 0,
         SEGMENT = 1
-    } ResegmentationFlag_t; ///< ResegmentationFlag_t typedef
+    };
 
     /**
      * Set polling bit function
@@ -190,11 +190,11 @@
     uint8_t GetPollingBit() const;
 
     /// PollingBit_t enumeration
-    typedef enum
+    enum PollingBit_t
     {
         STATUS_REPORT_NOT_REQUESTED = 0,
         STATUS_REPORT_IS_REQUESTED = 1
-    } PollingBit_t; ///< PollingBit_t typedef
+    };
 
     /**
      * Set last segment flag function
@@ -210,11 +210,11 @@
     uint8_t GetLastSegmentFlag() const;
 
     /// LastSegmentFlag_t typedef
-    typedef enum
+    enum LastSegmentFlag_t
     {
         NO_LAST_PDU_SEGMENT = 0,
         LAST_PDU_SEGMENT = 1
-    } LastSegmentFlag_t; ///< LastSegmentFlag_t enumeration
+    };
 
     /**
      * Set segment offset function
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-header.h ns-3.38/src/lte/model/lte-rlc-header.h
--- ns-3.37/src/lte/model/lte-rlc-header.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-header.h	2023-03-16 20:54:23.776869000 -0700
@@ -100,25 +100,25 @@
     uint16_t PopLengthIndicator();
 
     /// ExtensionBit_t typedef
-    typedef enum
+    enum ExtensionBit_t
     {
         DATA_FIELD_FOLLOWS = 0,
         E_LI_FIELDS_FOLLOWS = 1
-    } ExtensionBit_t; ///< ExtensionBit_t enumeration
+    };
 
     /// FramingInfoFirstByte_t typedef
-    typedef enum
+    enum FramingInfoFirstByte_t
     {
         FIRST_BYTE = 0x00,
         NO_FIRST_BYTE = 0x02
-    } FramingInfoFirstByte_t; ///< FramingInfoFirstByte_t enumeration
+    };
 
     /// FramingInfoLastByte_t tyedef
-    typedef enum
+    enum FramingInfoLastByte_t
     {
         LAST_BYTE = 0x00,
         NO_LAST_BYTE = 0x01
-    } FramingInfoLastByte_t; ///< FramingInfoLastByte_t enumeration
+    };
 
     /**
      * \brief Get the type ID.
